Skip to main content
GET
List API access keys

Autorisations

Authorization
string
header
requis

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

En-têtes

x-organization-id
string<uuid>
requis

Organization context for multi-tenant operations

Réponse

200 - application/json
id
string
requis

Stable API access key identifier

name
string
requis

Human-readable name for the API access key credential, usually the owning integration or automation

keyType
enum<string>
requis

Credential type for the API access key. user_bound keys are associated with the creating user's identity; service_account keys are intended for non-human service integrations.

Options disponibles:
user_bound,
service_account
boundEmail
string
requis

Email address associated with the API access key credential when the credential is user-bound

status
enum<string>
requis

API access key status

Options disponibles:
active,
revoked
createdAt
string<date-time>
requis

Timestamp when the API access key credential was created

createdByUserId
string
requis

Identifier of the user who created this API access key

scopes
string[]
requis

Permission scopes assigned to this API access key

Exemple:
lastUsedAt
string<date-time> | null

Last time the API access key was used

expiresAt
string<date-time> | null

Expiration timestamp for the API access key credential